From d37cbfa16ce3676fc0dc5436a135953b963a4caa Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Tue, 30 Aug 2016 12:00:00 -0400
Subject: [PATCH 11/27] Add missing fields in struct initializations

---
 src/bin/psql/tab-complete.c | 64 ++++++++++++++++++++++-----------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
index 1345e4e..c5e5dbc 100644
--- a/src/bin/psql/tab-complete.c
+++ b/src/bin/psql/tab-complete.c
@@ -884,54 +884,54 @@ typedef struct
 #define THING_NO_SHOW		(THING_NO_CREATE | THING_NO_DROP)
 
 static const pgsql_thing_t words_after_create[] = {
-	{"ACCESS METHOD", NULL, NULL},
-	{"AGGREGATE", NULL, &Query_for_list_of_aggregates},
-	{"CAST", NULL, NULL},		/* Casts have complex structures for names, so
+	{"ACCESS METHOD", NULL, NULL, 0},
+	{"AGGREGATE", NULL, &Query_for_list_of_aggregates, 0},
+	{"CAST", NULL, NULL, 0},	/* Casts have complex structures for names, so
 								 * skip it */
-	{"COLLATION", "SELECT pg_catalog.quote_ident(collname) FROM pg_catalog.pg_collation WHERE collencoding IN (-1, pg_catalog.pg_char_to_encoding(pg_catalog.getdatabaseencoding())) AND substring(pg_catalog.quote_ident(collname),1,%d)='%s'"},
+	{"COLLATION", "SELECT pg_catalog.quote_ident(collname) FROM pg_catalog.pg_collation WHERE collencoding IN (-1, pg_catalog.pg_char_to_encoding(pg_catalog.getdatabaseencoding())) AND substring(pg_catalog.quote_ident(collname),1,%d)='%s'", NULL, 0},
 
 	/*
 	 * CREATE CONSTRAINT TRIGGER is not supported here because it is designed
 	 * to be used only by pg_dump.
 	 */
 	{"CONFIGURATION", Query_for_list_of_ts_configurations, NULL, THING_NO_SHOW},
-	{"CONVERSION", "SELECT pg_catalog.quote_ident(conname) FROM pg_catalog.pg_conversion WHERE substring(pg_catalog.quote_ident(conname),1,%d)='%s'"},
-	{"DATABASE", Query_for_list_of_databases},
+	{"CONVERSION", "SELECT pg_catalog.quote_ident(conname) FROM pg_catalog.pg_conversion WHERE substring(pg_catalog.quote_ident(conname),1,%d)='%s'", NULL, 0},
+	{"DATABASE", Query_for_list_of_databases, NULL, 0},
 	{"DICTIONARY", Query_for_list_of_ts_dictionaries, NULL, THING_NO_SHOW},
-	{"DOMAIN", NULL, &Query_for_list_of_domains},
-	{"EVENT TRIGGER", NULL, NULL},
-	{"EXTENSION", Query_for_list_of_extensions},
-	{"FOREIGN DATA WRAPPER", NULL, NULL},
-	{"FOREIGN TABLE", NULL, NULL},
-	{"FUNCTION", NULL, &Query_for_list_of_functions},
-	{"GROUP", Query_for_list_of_roles},
-	{"LANGUAGE", Query_for_list_of_languages},
-	{"INDEX", NULL, &Query_for_list_of_indexes},
-	{"MATERIALIZED VIEW", NULL, &Query_for_list_of_matviews},
-	{"OPERATOR", NULL, NULL},	/* Querying for this is probably not such a
+	{"DOMAIN", NULL, &Query_for_list_of_domains, 0},
+	{"EVENT TRIGGER", NULL, NULL, 0},
+	{"EXTENSION", Query_for_list_of_extensions, NULL, 0},
+	{"FOREIGN DATA WRAPPER", NULL, NULL, 0},
+	{"FOREIGN TABLE", NULL, NULL, 0},
+	{"FUNCTION", NULL, &Query_for_list_of_functions, 0},
+	{"GROUP", Query_for_list_of_roles, NULL, 0},
+	{"LANGUAGE", Query_for_list_of_languages, NULL, 0},
+	{"INDEX", NULL, &Query_for_list_of_indexes, 0},
+	{"MATERIALIZED VIEW", NULL, &Query_for_list_of_matviews, 0},
+	{"OPERATOR", NULL, NULL, 0},/* Querying for this is probably not such a
 								 * good idea. */
 	{"OWNED", NULL, NULL, THING_NO_CREATE},		/* for DROP OWNED BY ... */
 	{"PARSER", Query_for_list_of_ts_parsers, NULL, THING_NO_SHOW},
-	{"POLICY", NULL, NULL},
-	{"ROLE", Query_for_list_of_roles},
-	{"RULE", "SELECT pg_catalog.quote_ident(rulename) FROM pg_catalog.pg_rules WHERE substring(pg_catalog.quote_ident(rulename),1,%d)='%s'"},
-	{"SCHEMA", Query_for_list_of_schemas},
-	{"SEQUENCE", NULL, &Query_for_list_of_sequences},
-	{"SERVER", Query_for_list_of_servers},
-	{"TABLE", NULL, &Query_for_list_of_tables},
-	{"TABLESPACE", Query_for_list_of_tablespaces},
+	{"POLICY", NULL, NULL, 0},
+	{"ROLE", Query_for_list_of_roles, NULL, 0},
+	{"RULE", "SELECT pg_catalog.quote_ident(rulename) FROM pg_catalog.pg_rules WHERE substring(pg_catalog.quote_ident(rulename),1,%d)='%s'", NULL, 0},
+	{"SCHEMA", Query_for_list_of_schemas, NULL, 0},
+	{"SEQUENCE", NULL, &Query_for_list_of_sequences, 0},
+	{"SERVER", Query_for_list_of_servers, NULL, 0},
+	{"TABLE", NULL, &Query_for_list_of_tables, 0},
+	{"TABLESPACE", Query_for_list_of_tablespaces, NULL, 0},
 	{"TEMP", NULL, NULL, THING_NO_DROP},		/* for CREATE TEMP TABLE ... */
 	{"TEMPLATE", Query_for_list_of_ts_templates, NULL, THING_NO_SHOW},
-	{"TEXT SEARCH", NULL, NULL},
-	{"TRIGGER", "SELECT pg_catalog.quote_ident(tgname) FROM pg_catalog.pg_trigger WHERE substring(pg_catalog.quote_ident(tgname),1,%d)='%s' AND NOT tgisinternal"},
-	{"TYPE", NULL, &Query_for_list_of_datatypes},
+	{"TEXT SEARCH", NULL, NULL, 0},
+	{"TRIGGER", "SELECT pg_catalog.quote_ident(tgname) FROM pg_catalog.pg_trigger WHERE substring(pg_catalog.quote_ident(tgname),1,%d)='%s' AND NOT tgisinternal", NULL, 0},
+	{"TYPE", NULL, &Query_for_list_of_datatypes, 0},
 	{"UNIQUE", NULL, NULL, THING_NO_DROP},		/* for CREATE UNIQUE INDEX ... */
 	{"UNLOGGED", NULL, NULL, THING_NO_DROP},	/* for CREATE UNLOGGED TABLE
 												 * ... */
-	{"USER", Query_for_list_of_roles},
-	{"USER MAPPING FOR", NULL, NULL},
-	{"VIEW", NULL, &Query_for_list_of_views},
-	{NULL}						/* end of list */
+	{"USER", Query_for_list_of_roles, NULL, 0},
+	{"USER MAPPING FOR", NULL, NULL, 0},
+	{"VIEW", NULL, &Query_for_list_of_views, 0},
+	{NULL, NULL, NULL, 0}						/* end of list */
 };
 
 
-- 
2.9.3

